package com.tzld.piaoquan.growth.common.service;

import com.alibaba.fastjson.JSONObject;
import com.tzld.piaoquan.growth.common.common.base.CommonResponse;
import com.tzld.piaoquan.growth.common.model.bo.MsgResult;
import com.tzld.piaoquan.growth.common.model.po.PreSpecialSendMessage;

import java.util.List;

public interface MessageService {

    boolean pushWeComMessage(JSONObject jsonObject, Long corpId);

    String getMessageText(Long staffId);

    CommonResponse<Void> createPreSpecialAssembleSendMessage(List<PreSpecialSendMessage> preSpecialSendMessages);

    MsgResult sendAutoReplyMessage(JSONObject jsonObject, Long corpId);

    boolean pushMomentMessage(JSONObject jsonObject, Long corpId);
}
